Page MenuHomePhabricator

Equip list entry of most current contribution with class
Closed, ResolvedPublic1 Story Points

Description

On lists like Special:Contributions (and perhaps others) a contribution should be highlighted (or accessible for highlightng) if still unchanged.

Currently at the end of such lines a uctop text equipped with a class="mw-uctop" is displayed.

The CSS sibling rules do not permit to evaluate .mw-uctop property and give the whole item e.g. a green background; only the uctop and later elements like revert link can be accessed with pure CSS. A JavaScript gadget would be required to mark the entire parent.

On the same list items containing a uctop right now the <li> element shall be equipped with class="mw-uctop" and leave it to projects and users how to decorate contributions if not changed yet.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2016, 11:48 AM
Florian claimed this task.Mar 24 2016, 5:11 PM
Florian triaged this task as Low priority.
Florian added a subscriber: Florian.

Sounds reasonable.

Change 279395 had a related patch set uploaded (by Florianschmidtwelzow):
Add new mw-contributions-current css class to Special:Contributions

https://gerrit.wikimedia.org/r/279395

Change 279395 merged by jenkins-bot:
Add new mw-contributions-current css class to Special:Contributions

https://gerrit.wikimedia.org/r/279395

MBinder_WMF set the point value for this task to 1.Jul 7 2016, 5:08 PM
bmansurov closed this task as Resolved.Jul 8 2016, 12:38 PM
bmansurov added a subscriber: bmansurov.

To test, please visit http://en.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/Baha and look for "mw-contributions-current" in the source code.